from utilities import *

from toee import *


def san_enter_combat( attachee, triggerer ):
	return RUN_DEFAULT


def san_start_combat( attachee, triggerer ):
	return RUN_DEFAULT

def san_first_heartbeat( attachee, triggerer ):
#	if (attachee.leader_get() == OBJ_HANDLE_NULL and not game.combat_is_active()):
#		game.global_vars[729] = 0
	return RUN_DEFAULT

def san_heartbeat( attachee, triggerer ):
#	if (game.global_vars[729] == 0 and attachee.leader_get() == OBJ_HANDLE_NULL and not game.combat_is_active() and attachee.map != 5065):
#		attachee.cast_spell(spell_endurance, attachee)
#		attachee.spells_pending_to_memorized()
#	if (game.global_vars[729] == 4 and attachee.leader_get() == OBJ_HANDLE_NULL and not game.combat_is_active() and attachee.map != 5065):
#		attachee.cast_spell(spell_endure_elements, attachee)
#		attachee.spells_pending_to_memorized()
#	if (game.global_vars[729] == 8 and attachee.leader_get() == OBJ_HANDLE_NULL and not game.combat_is_active() and attachee.map != 5065):
#		attachee.cast_spell(spell_owls_wisdom, attachee)
#		attachee.spells_pending_to_memorized()
#	game.global_vars[729] = game.global_vars[729] + 1
	return RUN_DEFAULT

def san_will_kos( attachee, triggerer ):
#	if (game.global_flags[840] == 1 and attachee.map == 5065):
#		return SKIP_DEFAULT
	return RUN_DEFAULT




